-- ==LuaScript==
-- @name SmileyPackSwitcher
-- @description Switching big-small smileypack
-- @author MikalaiR
-- @version 1.6
-- ==/LuaScript==

-- ==Settings==
local fullpack = "Emoji_full"
local stickerspack = "VK_Stickers"
-- ==/Settings==

local mbb = require('m_msg_buttonsbar')
local icolib = require('m_icolib')
local db = require('m_database')
local bbButton1 =
{ 
  Module = "MirLua_SmileyPackSwitcher",
  ButtonID = 1,
  Flags = 64,
  Tooltip = "Big smiley pack",
  Icon = icolib.AddIcon('MirLua_SmileySwitchIconD_1', 'SmileyPackSwitcher icon')
}

local bbButton2 =
{ 
  Module = "MirLua_SmileyPackSwitcher",
  ButtonID = 2,
  Flags = 64,
  Tooltip = "Stickers",
  Icon = icolib.AddIcon('MirLua_SmileySwitchIconD_2', 'SmileyPackSwitcher icon')
}

local script = 
{
	Load = function() mbb.AddButton(bbButton1) mbb.AddButton(bbButton2) end,
	Unload = function() mbb.RemoveButton(bbButton.Module, bbButton.ButtonID) end
}

mbb.OnMsgToolBarButtonPressed(function(w, l)
	if l.Module == bbButton1.Module and l.ButtonID == bbButton1.ButtonID then
		if db.GetContactSetting(l.hContact, "SmileyAdd", "CustomCategory") == fullpack then
			db.DeleteContactSetting(l.hContact, "SmileyAdd", "CustomCategory")
		else
			db.WriteContactSetting(l.hContact, "SmileyAdd", "CustomCategory", fullpack)
		end
	elseif l.Module == bbButton2.Module and l.ButtonID == bbButton2.ButtonID then
		if db.GetContactSetting(l.hContact, "SmileyAdd", "CustomCategory") == stickerspack then
			db.DeleteContactSetting(l.hContact, "SmileyAdd", "CustomCategory")
		else
			db.WriteContactSetting(l.hContact, "SmileyAdd", "CustomCategory", stickerspack)
		end
	end
end)

return script;